
import 'package:string_e/string_e.dart';


void main() {
  final sampleText = 'I have been in the music industry for over fifteen '
      'years now, I have worked on numerous productions including film, '
      'television, and live events.';

  print('\n' + '='*80);
  print('\nSample text:\n');
  print(sampleText);

  var width = 50;
  print('\nWord wrap every $width characters with " " separator:');
  print('-'*width);
  print(sampleText.toWrappedString(width));

  width = 55;
  print('\nWord wrap every $width characters with "," separator:');
  print('-'*width);
  print(sampleText.toWrappedString(width, ','));

  final sampleText2 = 'I have been in\n the music industry \nfor over fifteen '
      'years now,\n I have worked on numerous \nproductions including film, '
      'television, and live events.';

  print('\n' + '='*80);
  print('\nSample text 2:\n');
  print(sampleText2);

  print('\nList of strings from one line with "\\n" separators:');
  print('-'*80);
  final list = sampleText2.toList();
  for (var item in list) {
    print(item);
  }
  print('\nList of words from one line with " " separators:');
  print('-'*80);
  final words = sampleText2.toList(' ', (String item) {
    return item.replaceAll(RegExp('[,.]'), '');
  });
  for (var item in words) {
    print(item);
  }
}
